ros-galactic-ament-lint-cmake (0.10.7-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 28 Apr 2022 00:00:00 -0000

ros-galactic-ament-lint-cmake (0.10.6-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 06 May 2021 00:00:00 -0000

ros-galactic-ament-lint-cmake (0.10.5-1focal) focal; urgency=high

  * Remove Claire as a maintainer. (#312 <https://github.com/ament/ament_lint/issues/312>)
    * Remove Claire as a maintainer.
    * Remove dead email addresses.
    * Remove more dead email addresses.
    * Switch setup.py maintainer to Audrow.
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 14 Apr 2021 00:00:00 -0000

ros-galactic-ament-lint-cmake (0.10.4-1focal) focal; urgency=high

  * ament_lint_cmake: default linelength in argumentparser for consistency (#306 <https://github.com/ament/ament_lint/issues/306>)
  * Contributors: Emerson Knapp

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-galactic-ament-lint-cmake (0.10.3-1focal) focal; urgency=high

  * 0.10.3
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 03 Mar 2021 00:00:00 -0000

ros-galactic-ament-lint-cmake (0.10.2-1focal) focal; urgency=high

  * Fix ament_lint_cmake line length expression (#236 <https://github.com/ament/ament_lint/issues/236>)
    This regular expression is using the re.VERBOSE flag, meaning that
    characters after an un-escaped '#' character are interpreted as a
    comment and are not part of the expression.
    Also set the default maximum line length to 140 columns.
  * Add Audrow as a maintainer (#294 <https://github.com/ament/ament_lint/issues/294>)
  * Make CMake linter line length configurable (#235 <https://github.com/ament/ament_lint/issues/235>)
    Co-authored-by: Miaofei <mailto:miaofei@amazon.com>
  * Drop trailing tab from package manifests (#291 <https://github.com/ament/ament_lint/issues/291>)
    Follow-up to 8bf194aa1ac282db5483dd0d3fefff8f325b0db8
  * Contributors: Audrow Nash, Scott K Logan

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 12 Feb 2021 00:00:00 -0000

ros-galactic-ament-lint-cmake (0.10.1-1focal) focal; urgency=high

  * Update maintainer (#274 <https://github.com/ament/ament_lint/issues/274>)
    * update maintainer
    * add authors
  * Contributors: Claire Wang

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-galactic-ament-lint-cmake (0.10.0-1focal) focal; urgency=high

  * Add pytest.ini so local tests don't display warning. (#259 <https://github.com/ament/ament_lint/issues/259>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 18 Sep 2020 00:00:00 -0000

ros-galactic-ament-lint-cmake (0.9.4-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-galactic-ament-lint-cmake (0.9.3-1focal) focal; urgency=high

  * Close source files after reading them (#249 <https://github.com/ament/ament_lint/issues/249>)
    Resolves the ResourceWarning messages coming to the console during
    testing with debug-enabled Python.
  * Contributors: Scott K Logan

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 18 May 2020 00:00:00 -0000

ros-galactic-ament-lint-cmake (0.9.2-1focal) focal; urgency=high

  * Allow AMENT_IGNORE markers to be directories (#232 <https://github.com/ament/ament_lint/issues/232>)
  * Contributors: Dan Rose

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 May 2020 00:00:00 -0000

ros-galactic-ament-lint-cmake (0.9.1-1focal) focal; urgency=high

  * 0.9.0
  * more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Generate xunit files valid for the junit10.xsd (#220 <https://github.com/ament/ament_lint/issues/220>)
  * remove status attribute from result XML (#212 <https://github.com/ament/ament_lint/issues/212>)
  * Contributors: Chris Lalancette, Dirk Thomas, Jose Luis Rivero

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 10 Apr 2020 00:00:00 -0000

ros-galactic-ament-lint-cmake (0.8.1-1focal) focal; urgency=high

  * install resource marker file for packages (#193 <https://github.com/ament/ament_lint/issues/193>)
  * Contributors: Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-galactic-ament-lint-cmake (0.8.0-1focal) focal; urgency=high

  * install manifest files in Python packages (#185 <https://github.com/ament/ament_lint/issues/185>)
  * Contributors: Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 17 Sep 2019 00:00:00 -0000

ros-galactic-ament-lint-cmake (0.7.4-1focal) focal; urgency=high

  * Raw strings in cmakelint.py.
    This fixes DeprecationWarning on Windows.
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 31 Jul 2019 00:00:00 -0000

ros-galactic-ament-lint-cmake (0.7.3-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 09 May 2019 14:08:00 -0000

ros-galactic-ament-lint-cmake (0.7.2-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 09 May 2019 09:30:00 -0000

ros-galactic-ament-lint-cmake (0.7.1-1focal) focal; urgency=high

  * update phrase of status messages (#137 <https://github.com/ament/ament_lint/issues/137>)
  * Contributors: Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 07 May 2019 00:00:00 -0000

ros-galactic-ament-lint-cmake (0.7.0-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 11 Apr 2019 00:00:00 -0000

ros-galactic-ament-lint-cmake (0.6.3-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 14 Jan 2019 00:00:00 -0000

ros-galactic-ament-lint-cmake (0.6.2-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 06 Dec 2018 00:00:00 -0000

ros-galactic-ament-lint-cmake (0.6.1-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 15 Nov 2018 00:00:00 -0000

ros-galactic-ament-lint-cmake (0.6.0-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 14 Nov 2018 00:00:00 -0000

ros-galactic-ament-lint-cmake (0.5.2-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 27 Jun 2018 00:00:00 -0000

ros-galactic-ament-lint-cmake (0.5.1-1focal) focal; urgency=high

  * level setup.py versions to 0.5.1
  * Contributors: Mikael Arguedas

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 18 Jun 2018 13:47:00 -0000

ros-galactic-ament-lint-cmake (0.5.0-1focal) focal; urgency=high

  * add pytest markers to linter tests
  * set zip_safe to avoid warning during installation (#96 <https://github.com/ament/ament_lint/issues/96>)
  * Contributors: Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 18 Jun 2018 10:09:00 -0000

ros-galactic-ament-lint-cmake (0.4.0-1focal) focal; urgency=high

  * remove test_suite, add pytest as test_requires
  * 0.0.3
  * Merge pull request #84 <https://github.com/ament/ament_lint/issues/84> from ament/flake8_plugins
    update style to satisfy new flake8 plugins
  * update style to satisfy new flake8 plugins
  * Merge pull request #81 <https://github.com/ament/ament_lint/issues/81> from ament/ignore_build_spaces
    ignore folders with an AMENT_IGNORE file, e.g. build spaces
  * ignore folders with an AMENT_IGNORE file, e.g. build spaces
  * 0.0.2
  * Merge pull request #78 <https://github.com/ament/ament_lint/issues/78> from ament/use_flake8
    use flake8 instead of pep8 and pyflakes
  * fix style warnings
  * Test python module import order using flake8 (#63 <https://github.com/ament/ament_lint/issues/63>)
    * Add flake8 linter
    * Don't deal with flake8-import-order just yet
    * Debugging prints
    * Reinstate import order rule
    * Fix reporting bug by using the inner flake8 style guide
    * Fixup
    * Add comment on wrapper StyleGuide use
    * use flake8 v3 (#1 <https://github.com/ament/ament_lint/issues/1>)
    * Reorder package.xml
    * Get the filenames from the file checkers because input_file isn't called by flake8 anymore
    * Output count of all error types
    * Get flake8 to use the config file
    The current implementation of get_style_guide does not process the config file correctly.
    * Error when flake8 v2 found
    * Print errors like pep8
    * remove __future__ imports
    * add schema to manifest files
    * Support flake8 v2 as well as v3
    * Output checked files
    otherwise it's not present in xunit files for tests run directly with nose (not ament_cmake_flake8)
    * Prevent v2 imports from happening on systems with v3
    * Flake8 replaces pep8+pyflakes
  * remove __future__ imports
  * update schema url
  * add schema to manifest files
  * Merge pull request #42 <https://github.com/ament/ament_lint/issues/42> from ament/remove_second_extension
    remove result type extension from testsuite name
  * remove result type extension from testsuite name
  * Merge pull request #28 <https://github.com/ament/ament_lint/issues/28> from ament/pep257
    add packages to check pep257 compliance
  * use ament_pep257
  * apply normpath to prevent './' prefix (fix #24 <https://github.com/ament/ament_lint/issues/24>)
  * Merge pull request #22 <https://github.com/ament/ament_lint/issues/22> from ament/fix_tests-ros2/ros2#21 <https://github.com/fix_tests-ros2/ros2/issues/21>
    add missing error category in lint_cmake
  * add missing error category in lint_cmake
  * also check style of .cmake.in files
  * Merge pull request #19 <https://github.com/ament/ament_lint/issues/19> from ament/split_linter_packages_in_python_and_cmake
    split linter packages in python and cmake
  * make use of python linter packages
  * move cmake part of ament_lint_cmake to ament_cmake_lint_cmake
  * disable debug output
  * Merge pull request #16 <https://github.com/ament/ament_lint/issues/16> from ament/fixup_ament_lint_cmake
    Some fixes to ament_lint_cmake
  * add trailing newline to generated test result files
  * add note about change from upstream
  * fixup file name ends with check
  * add --filters to ament_lint_cmake
  * filter errors in a file using a CMake comment
    For example you can do something like:
    # lint_cmake: -package/consistency, -convention/filename
    To suppress those two categories of warnings.
    The filter is limited to the current file.
  * improve SetFilters ability to parse new filters
  * fix typo
  * add missing copyright / license information
  * Merge pull request #14 <https://github.com/ament/ament_lint/issues/14> from ament/test_runner_windows
    change test runner to work on windows
  * update cmakelint to work on windows
  * change test runner to work on windows
  * Merge pull request #9 <https://github.com/ament/ament_lint/issues/9> from ament/docs
    add docs for linters
  * add docs for linters
  * modify generated unit test files for a better hierarchy in Jenkins
  * make testname argument optional for all linters
  * use other linters for the linter packages where possible
  * Merge pull request #2 <https://github.com/ament/ament_lint/issues/2> from ament/ament_lint_auto
    allow linting based on test dependencies only
  * add ament_lint_auto and ament_lint_common, update all linter packages to implement extension point of ament_lint_auto
  * avoid unnecessary newlines
  * use project(.. NONE)
  * update to latest refactoring of ament_cmake
  * add dependency on ament_cmake_environment
  * add ament_lint_cmake
  * Contributors: Dirk Thomas, William Woodall, dhood

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 Dec 2017 00:00:00 -0000


